# This file is auto generated.
# Remove/modify this header if you want to customize the operation.
query occ_getUserOrderHistory_query($baseSiteId: String!, $currentPage: Int, $fields: String = "DEFAULT", $pageSize: Int = 20, $sort: String, $statuses: String, $userId: String!) {
  occ_getUserOrderHistory(
    baseSiteId: $baseSiteId
    currentPage: $currentPage
    fields: $fields
    pageSize: $pageSize
    sort: $sort
    statuses: $statuses
    userId: $userId
  ) {
    ... on occ_OrderHistoryList {
      facets {
        category
        multiSelect
        name
        priority
        topValues {
          count
          name
          query {
            query {
              value
            }
            url
          }
          selected
        }
        values {
          count
          name
          query {
            query {
              value
            }
            url
          }
          selected
        }
        visible
      }
      orders {
        code
        costCenter {
          active
          activeFlag
          assignedBudgets {
            active
            budget
            code
            currency {
              active
              isocode
              name
              symbol
            }
            endDate
            name
            selected
            startDate
          }
          code
          currency {
            active
            isocode
            name
            symbol
          }
          name
          originalCode
          unit {
            active
            addresses {
              cellphone
              companyName
              country {
                isocode
                name
              }
              defaultAddress
              district
              email
              firstName
              formattedAddress
              id
              lastName
              line1
              line2
              phone
              postalCode
              region {
                countryIso
                isocode
                isocodeShort
                name
              }
              shippingAddress
              title
              titleCode
              town
              visibleInAddressBook
            }
            administrators {
              active
              approvers {
                active
                currency {
                  active
                  isocode
                  name
                  symbol
                }
                customerId
                deactivationDate
                defaultAddress {
                  cellphone
                  companyName
                  country {
                    isocode
                    name
                  }
                  defaultAddress
                  district
                  email
                  firstName
                  formattedAddress
                  id
                  lastName
                  line1
                  line2
                  phone
                  postalCode
                  region {
                    countryIso
                    isocode
                    isocodeShort
                    name
                  }
                  shippingAddress
                  title
                  titleCode
                  town
                  visibleInAddressBook
                }
                defaultPointOfServiceName
                displayUid
                email
                firstName
                hasOrder
                language {
                  active
                  isocode
                  name
                  nativeName
                }
                lastCartId
                lastName
                name
                roles
                selected
                title
                titleCode
                uid
                userAvatar {
                  format
                  url
                }
              }
              currency {
                active
                isocode
                name
                symbol
              }
              customerId
              deactivationDate
              defaultAddress {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              defaultPointOfServiceName
              displayUid
              email
              firstName
              hasOrder
              language {
                active
                isocode
                name
                nativeName
              }
              lastCartId
              lastName
              name
              roles
              selected
              title
              titleCode
              uid
              userAvatar {
                format
                url
              }
            }
            approvalProcess {
              code
              name
            }
            approvers {
              active
              approvers {
                active
                currency {
                  active
                  isocode
                  name
                  symbol
                }
                customerId
                deactivationDate
                defaultAddress {
                  cellphone
                  companyName
                  country {
                    isocode
                    name
                  }
                  defaultAddress
                  district
                  email
                  firstName
                  formattedAddress
                  id
                  lastName
                  line1
                  line2
                  phone
                  postalCode
                  region {
                    countryIso
                    isocode
                    isocodeShort
                    name
                  }
                  shippingAddress
                  title
                  titleCode
                  town
                  visibleInAddressBook
                }
                defaultPointOfServiceName
                displayUid
                email
                firstName
                hasOrder
                language {
                  active
                  isocode
                  name
                  nativeName
                }
                lastCartId
                lastName
                name
                roles
                selected
                title
                titleCode
                uid
                userAvatar {
                  format
                  url
                }
              }
              currency {
                active
                isocode
                name
                symbol
              }
              customerId
              deactivationDate
              defaultAddress {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              defaultPointOfServiceName
              displayUid
              email
              firstName
              hasOrder
              language {
                active
                isocode
                name
                nativeName
              }
              lastCartId
              lastName
              name
              roles
              selected
              title
              titleCode
              uid
              userAvatar {
                format
                url
              }
            }
            costCenters {
              active
              activeFlag
              code
              currency {
                active
                isocode
                name
                symbol
              }
              name
              originalCode
            }
            customers {
              active
              approvers {
                active
                currency {
                  active
                  isocode
                  name
                  symbol
                }
                customerId
                deactivationDate
                defaultAddress {
                  cellphone
                  companyName
                  country {
                    isocode
                    name
                  }
                  defaultAddress
                  district
                  email
                  firstName
                  formattedAddress
                  id
                  lastName
                  line1
                  line2
                  phone
                  postalCode
                  region {
                    countryIso
                    isocode
                    isocodeShort
                    name
                  }
                  shippingAddress
                  title
                  titleCode
                  town
                  visibleInAddressBook
                }
                defaultPointOfServiceName
                displayUid
                email
                firstName
                hasOrder
                language {
                  active
                  isocode
                  name
                  nativeName
                }
                lastCartId
                lastName
                name
                roles
                selected
                title
                titleCode
                uid
                userAvatar {
                  format
                  url
                }
              }
              currency {
                active
                isocode
                name
                symbol
              }
              customerId
              deactivationDate
              defaultAddress {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              defaultPointOfServiceName
              displayUid
              email
              firstName
              hasOrder
              language {
                active
                isocode
                name
                nativeName
              }
              lastCartId
              lastName
              name
              roles
              selected
              title
              titleCode
              uid
              userAvatar {
                format
                url
              }
            }
            managers {
              active
              approvers {
                active
                currency {
                  active
                  isocode
                  name
                  symbol
                }
                customerId
                deactivationDate
                defaultAddress {
                  cellphone
                  companyName
                  country {
                    isocode
                    name
                  }
                  defaultAddress
                  district
                  email
                  firstName
                  formattedAddress
                  id
                  lastName
                  line1
                  line2
                  phone
                  postalCode
                  region {
                    countryIso
                    isocode
                    isocodeShort
                    name
                  }
                  shippingAddress
                  title
                  titleCode
                  town
                  visibleInAddressBook
                }
                defaultPointOfServiceName
                displayUid
                email
                firstName
                hasOrder
                language {
                  active
                  isocode
                  name
                  nativeName
                }
                lastCartId
                lastName
                name
                roles
                selected
                title
                titleCode
                uid
                userAvatar {
                  format
                  url
                }
              }
              currency {
                active
                isocode
                name
                symbol
              }
              customerId
              deactivationDate
              defaultAddress {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              defaultPointOfServiceName
              displayUid
              email
              firstName
              hasOrder
              language {
                active
                isocode
                name
                nativeName
              }
              lastCartId
              lastName
              name
              roles
              selected
              title
              titleCode
              uid
              userAvatar {
                format
                url
              }
            }
            name
            parentOrgUnit {
              active
              addresses {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              administrators {
                active
                approvers {
                  active
                  currency {
                    active
                    isocode
                    name
                    symbol
                  }
                  customerId
                  deactivationDate
                  defaultAddress {
                    cellphone
                    companyName
                    country {
                      isocode
                      name
                    }
                    defaultAddress
                    district
                    email
                    firstName
                    formattedAddress
                    id
                    lastName
                    line1
                    line2
                    phone
                    postalCode
                    region {
                      countryIso
                      isocode
                      isocodeShort
                      name
                    }
                    shippingAddress
                    title
                    titleCode
                    town
                    visibleInAddressBook
                  }
                  defaultPointOfServiceName
                  displayUid
                  email
                  firstName
                  hasOrder
                  language {
                    active
                    isocode
                    name
                    nativeName
                  }
                  lastCartId
                  lastName
                  name
                  roles
                  selected
                  title
                  titleCode
                  uid
                  userAvatar {
                    format
                    url
                  }
                }
                currency {
                  active
                  isocode
                  name
                  symbol
                }
                customerId
                deactivationDate
                defaultAddress {
                  cellphone
                  companyName
                  country {
                    isocode
                    name
                  }
                  defaultAddress
                  district
                  email
                  firstName
                  formattedAddress
                  id
                  lastName
                  line1
                  line2
                  phone
                  postalCode
                  region {
                    countryIso
                    isocode
                    isocodeShort
                    name
                  }
                  shippingAddress
                  title
                  titleCode
                  town
                  visibleInAddressBook
                }
                defaultPointOfServiceName
                displayUid
                email
                firstName
                hasOrder
                language {
                  active
                  isocode
                  name
                  nativeName
                }
                lastCartId
                lastName
                name
                roles
                selected
                title
                titleCode
                uid
                userAvatar {
                  format
                  url
                }
              }
              approvalProcess {
                code
                name
              }
              approvers {
                active
                approvers {
                  active
                  currency {
                    active
                    isocode
                    name
                    symbol
                  }
                  customerId
                  deactivationDate
                  defaultAddress {
                    cellphone
                    companyName
                    country {
                      isocode
                      name
                    }
                    defaultAddress
                    district
                    email
                    firstName
                    formattedAddress
                    id
                    lastName
                    line1
                    line2
                    phone
                    postalCode
                    region {
                      countryIso
                      isocode
                      isocodeShort
                      name
                    }
                    shippingAddress
                    title
                    titleCode
                    town
                    visibleInAddressBook
                  }
                  defaultPointOfServiceName
                  displayUid
                  email
                  firstName
                  hasOrder
                  language {
                    active
                    isocode
                    name
                    nativeName
                  }
                  lastCartId
                  lastName
                  name
                  roles
                  selected
                  title
                  titleCode
                  uid
                  userAvatar {
                    format
                    url
                  }
                }
                currency {
                  active
                  isocode
                  name
                  symbol
                }
                customerId
                deactivationDate
                defaultAddress {
                  cellphone
                  companyName
                  country {
                    isocode
                    name
                  }
                  defaultAddress
                  district
                  email
                  firstName
                  formattedAddress
                  id
                  lastName
                  line1
                  line2
                  phone
                  postalCode
                  region {
                    countryIso
                    isocode
                    isocodeShort
                    name
                  }
                  shippingAddress
                  title
                  titleCode
                  town
                  visibleInAddressBook
                }
                defaultPointOfServiceName
                displayUid
                email
                firstName
                hasOrder
                language {
                  active
                  isocode
                  name
                  nativeName
                }
                lastCartId
                lastName
                name
                roles
                selected
                title
                titleCode
                uid
                userAvatar {
                  format
                  url
                }
              }
              costCenters {
                active
                activeFlag
                code
                currency {
                  active
                  isocode
                  name
                  symbol
                }
                name
                originalCode
              }
              customers {
                active
                approvers {
                  active
                  currency {
                    active
                    isocode
                    name
                    symbol
                  }
                  customerId
                  deactivationDate
                  defaultAddress {
                    cellphone
                    companyName
                    country {
                      isocode
                      name
                    }
                    defaultAddress
                    district
                    email
                    firstName
                    formattedAddress
                    id
                    lastName
                    line1
                    line2
                    phone
                    postalCode
                    region {
                      countryIso
                      isocode
                      isocodeShort
                      name
                    }
                    shippingAddress
                    title
                    titleCode
                    town
                    visibleInAddressBook
                  }
                  defaultPointOfServiceName
                  displayUid
                  email
                  firstName
                  hasOrder
                  language {
                    active
                    isocode
                    name
                    nativeName
                  }
                  lastCartId
                  lastName
                  name
                  roles
                  selected
                  title
                  titleCode
                  uid
                  userAvatar {
                    format
                    url
                  }
                }
                currency {
                  active
                  isocode
                  name
                  symbol
                }
                customerId
                deactivationDate
                defaultAddress {
                  cellphone
                  companyName
                  country {
                    isocode
                    name
                  }
                  defaultAddress
                  district
                  email
                  firstName
                  formattedAddress
                  id
                  lastName
                  line1
                  line2
                  phone
                  postalCode
                  region {
                    countryIso
                    isocode
                    isocodeShort
                    name
                  }
                  shippingAddress
                  title
                  titleCode
                  town
                  visibleInAddressBook
                }
                defaultPointOfServiceName
                displayUid
                email
                firstName
                hasOrder
                language {
                  active
                  isocode
                  name
                  nativeName
                }
                lastCartId
                lastName
                name
                roles
                selected
                title
                titleCode
                uid
                userAvatar {
                  format
                  url
                }
              }
              managers {
                active
                approvers {
                  active
                  currency {
                    active
                    isocode
                    name
                    symbol
                  }
                  customerId
                  deactivationDate
                  defaultAddress {
                    cellphone
                    companyName
                    country {
                      isocode
                      name
                    }
                    defaultAddress
                    district
                    email
                    firstName
                    formattedAddress
                    id
                    lastName
                    line1
                    line2
                    phone
                    postalCode
                    region {
                      countryIso
                      isocode
                      isocodeShort
                      name
                    }
                    shippingAddress
                    title
                    titleCode
                    town
                    visibleInAddressBook
                  }
                  defaultPointOfServiceName
                  displayUid
                  email
                  firstName
                  hasOrder
                  language {
                    active
                    isocode
                    name
                    nativeName
                  }
                  lastCartId
                  lastName
                  name
                  roles
                  selected
                  title
                  titleCode
                  uid
                  userAvatar {
                    format
                    url
                  }
                }
                currency {
                  active
                  isocode
                  name
                  symbol
                }
                customerId
                deactivationDate
                defaultAddress {
                  cellphone
                  companyName
                  country {
                    isocode
                    name
                  }
                  defaultAddress
                  district
                  email
                  firstName
                  formattedAddress
                  id
                  lastName
                  line1
                  line2
                  phone
                  postalCode
                  region {
                    countryIso
                    isocode
                    isocodeShort
                    name
                  }
                  shippingAddress
                  title
                  titleCode
                  town
                  visibleInAddressBook
                }
                defaultPointOfServiceName
                displayUid
                email
                firstName
                hasOrder
                language {
                  active
                  isocode
                  name
                  nativeName
                }
                lastCartId
                lastName
                name
                roles
                selected
                title
                titleCode
                uid
                userAvatar {
                  format
                  url
                }
              }
              name
              uid
            }
            uid
          }
        }
        guid
        orgCustomer {
          active
          approvers {
            active
            currency {
              active
              isocode
              name
              symbol
            }
            customerId
            deactivationDate
            defaultAddress {
              cellphone
              companyName
              country {
                isocode
                name
              }
              defaultAddress
              district
              email
              firstName
              formattedAddress
              id
              lastName
              line1
              line2
              phone
              postalCode
              region {
                countryIso
                isocode
                isocodeShort
                name
              }
              shippingAddress
              title
              titleCode
              town
              visibleInAddressBook
            }
            defaultPointOfServiceName
            displayUid
            email
            firstName
            hasOrder
            language {
              active
              isocode
              name
              nativeName
            }
            lastCartId
            lastName
            name
            orgUnit {
              active
              addresses {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              approvalProcess {
                code
                name
              }
              costCenters {
                active
                activeFlag
                code
                currency {
                  active
                  isocode
                  name
                  symbol
                }
                name
                originalCode
              }
              name
              parentOrgUnit {
                active
                addresses {
                  cellphone
                  companyName
                  country {
                    isocode
                    name
                  }
                  defaultAddress
                  district
                  email
                  firstName
                  formattedAddress
                  id
                  lastName
                  line1
                  line2
                  phone
                  postalCode
                  region {
                    countryIso
                    isocode
                    isocodeShort
                    name
                  }
                  shippingAddress
                  title
                  titleCode
                  town
                  visibleInAddressBook
                }
                approvalProcess {
                  code
                  name
                }
                costCenters {
                  active
                  activeFlag
                  code
                  currency {
                    active
                    isocode
                    name
                    symbol
                  }
                  name
                  originalCode
                }
                name
                uid
              }
              uid
            }
            roles
            selected
            title
            titleCode
            uid
            userAvatar {
              format
              url
            }
          }
          currency {
            active
            isocode
            name
            symbol
          }
          customerId
          deactivationDate
          defaultAddress {
            cellphone
            companyName
            country {
              isocode
              name
            }
            defaultAddress
            district
            email
            firstName
            formattedAddress
            id
            lastName
            line1
            line2
            phone
            postalCode
            region {
              countryIso
              isocode
              isocodeShort
              name
            }
            shippingAddress
            title
            titleCode
            town
            visibleInAddressBook
          }
          defaultPointOfServiceName
          displayUid
          email
          firstName
          hasOrder
          language {
            active
            isocode
            name
            nativeName
          }
          lastCartId
          lastName
          name
          orgUnit {
            active
            addresses {
              cellphone
              companyName
              country {
                isocode
                name
              }
              defaultAddress
              district
              email
              firstName
              formattedAddress
              id
              lastName
              line1
              line2
              phone
              postalCode
              region {
                countryIso
                isocode
                isocodeShort
                name
              }
              shippingAddress
              title
              titleCode
              town
              visibleInAddressBook
            }
            approvalProcess {
              code
              name
            }
            costCenters {
              active
              activeFlag
              code
              currency {
                active
                isocode
                name
                symbol
              }
              name
              originalCode
            }
            name
            parentOrgUnit {
              active
              addresses {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              approvalProcess {
                code
                name
              }
              costCenters {
                active
                activeFlag
                code
                currency {
                  active
                  isocode
                  name
                  symbol
                }
                name
                originalCode
              }
              name
              uid
            }
            uid
          }
          roles
          selected
          title
          titleCode
          uid
          userAvatar {
            format
            url
          }
        }
        orgUnit {
          active
          addresses {
            cellphone
            companyName
            country {
              isocode
              name
            }
            defaultAddress
            district
            email
            firstName
            formattedAddress
            id
            lastName
            line1
            line2
            phone
            postalCode
            region {
              countryIso
              isocode
              isocodeShort
              name
            }
            shippingAddress
            title
            titleCode
            town
            visibleInAddressBook
          }
          administrators {
            active
            approvers {
              active
              currency {
                active
                isocode
                name
                symbol
              }
              customerId
              deactivationDate
              defaultAddress {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              defaultPointOfServiceName
              displayUid
              email
              firstName
              hasOrder
              language {
                active
                isocode
                name
                nativeName
              }
              lastCartId
              lastName
              name
              roles
              selected
              title
              titleCode
              uid
              userAvatar {
                format
                url
              }
            }
            currency {
              active
              isocode
              name
              symbol
            }
            customerId
            deactivationDate
            defaultAddress {
              cellphone
              companyName
              country {
                isocode
                name
              }
              defaultAddress
              district
              email
              firstName
              formattedAddress
              id
              lastName
              line1
              line2
              phone
              postalCode
              region {
                countryIso
                isocode
                isocodeShort
                name
              }
              shippingAddress
              title
              titleCode
              town
              visibleInAddressBook
            }
            defaultPointOfServiceName
            displayUid
            email
            firstName
            hasOrder
            language {
              active
              isocode
              name
              nativeName
            }
            lastCartId
            lastName
            name
            roles
            selected
            title
            titleCode
            uid
            userAvatar {
              format
              url
            }
          }
          approvalProcess {
            code
            name
          }
          approvers {
            active
            approvers {
              active
              currency {
                active
                isocode
                name
                symbol
              }
              customerId
              deactivationDate
              defaultAddress {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              defaultPointOfServiceName
              displayUid
              email
              firstName
              hasOrder
              language {
                active
                isocode
                name
                nativeName
              }
              lastCartId
              lastName
              name
              roles
              selected
              title
              titleCode
              uid
              userAvatar {
                format
                url
              }
            }
            currency {
              active
              isocode
              name
              symbol
            }
            customerId
            deactivationDate
            defaultAddress {
              cellphone
              companyName
              country {
                isocode
                name
              }
              defaultAddress
              district
              email
              firstName
              formattedAddress
              id
              lastName
              line1
              line2
              phone
              postalCode
              region {
                countryIso
                isocode
                isocodeShort
                name
              }
              shippingAddress
              title
              titleCode
              town
              visibleInAddressBook
            }
            defaultPointOfServiceName
            displayUid
            email
            firstName
            hasOrder
            language {
              active
              isocode
              name
              nativeName
            }
            lastCartId
            lastName
            name
            roles
            selected
            title
            titleCode
            uid
            userAvatar {
              format
              url
            }
          }
          costCenters {
            active
            activeFlag
            code
            currency {
              active
              isocode
              name
              symbol
            }
            name
            originalCode
          }
          customers {
            active
            approvers {
              active
              currency {
                active
                isocode
                name
                symbol
              }
              customerId
              deactivationDate
              defaultAddress {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              defaultPointOfServiceName
              displayUid
              email
              firstName
              hasOrder
              language {
                active
                isocode
                name
                nativeName
              }
              lastCartId
              lastName
              name
              roles
              selected
              title
              titleCode
              uid
              userAvatar {
                format
                url
              }
            }
            currency {
              active
              isocode
              name
              symbol
            }
            customerId
            deactivationDate
            defaultAddress {
              cellphone
              companyName
              country {
                isocode
                name
              }
              defaultAddress
              district
              email
              firstName
              formattedAddress
              id
              lastName
              line1
              line2
              phone
              postalCode
              region {
                countryIso
                isocode
                isocodeShort
                name
              }
              shippingAddress
              title
              titleCode
              town
              visibleInAddressBook
            }
            defaultPointOfServiceName
            displayUid
            email
            firstName
            hasOrder
            language {
              active
              isocode
              name
              nativeName
            }
            lastCartId
            lastName
            name
            roles
            selected
            title
            titleCode
            uid
            userAvatar {
              format
              url
            }
          }
          managers {
            active
            approvers {
              active
              currency {
                active
                isocode
                name
                symbol
              }
              customerId
              deactivationDate
              defaultAddress {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              defaultPointOfServiceName
              displayUid
              email
              firstName
              hasOrder
              language {
                active
                isocode
                name
                nativeName
              }
              lastCartId
              lastName
              name
              roles
              selected
              title
              titleCode
              uid
              userAvatar {
                format
                url
              }
            }
            currency {
              active
              isocode
              name
              symbol
            }
            customerId
            deactivationDate
            defaultAddress {
              cellphone
              companyName
              country {
                isocode
                name
              }
              defaultAddress
              district
              email
              firstName
              formattedAddress
              id
              lastName
              line1
              line2
              phone
              postalCode
              region {
                countryIso
                isocode
                isocodeShort
                name
              }
              shippingAddress
              title
              titleCode
              town
              visibleInAddressBook
            }
            defaultPointOfServiceName
            displayUid
            email
            firstName
            hasOrder
            language {
              active
              isocode
              name
              nativeName
            }
            lastCartId
            lastName
            name
            roles
            selected
            title
            titleCode
            uid
            userAvatar {
              format
              url
            }
          }
          name
          parentOrgUnit {
            active
            addresses {
              cellphone
              companyName
              country {
                isocode
                name
              }
              defaultAddress
              district
              email
              firstName
              formattedAddress
              id
              lastName
              line1
              line2
              phone
              postalCode
              region {
                countryIso
                isocode
                isocodeShort
                name
              }
              shippingAddress
              title
              titleCode
              town
              visibleInAddressBook
            }
            administrators {
              active
              approvers {
                active
                currency {
                  active
                  isocode
                  name
                  symbol
                }
                customerId
                deactivationDate
                defaultAddress {
                  cellphone
                  companyName
                  country {
                    isocode
                    name
                  }
                  defaultAddress
                  district
                  email
                  firstName
                  formattedAddress
                  id
                  lastName
                  line1
                  line2
                  phone
                  postalCode
                  region {
                    countryIso
                    isocode
                    isocodeShort
                    name
                  }
                  shippingAddress
                  title
                  titleCode
                  town
                  visibleInAddressBook
                }
                defaultPointOfServiceName
                displayUid
                email
                firstName
                hasOrder
                language {
                  active
                  isocode
                  name
                  nativeName
                }
                lastCartId
                lastName
                name
                roles
                selected
                title
                titleCode
                uid
                userAvatar {
                  format
                  url
                }
              }
              currency {
                active
                isocode
                name
                symbol
              }
              customerId
              deactivationDate
              defaultAddress {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              defaultPointOfServiceName
              displayUid
              email
              firstName
              hasOrder
              language {
                active
                isocode
                name
                nativeName
              }
              lastCartId
              lastName
              name
              roles
              selected
              title
              titleCode
              uid
              userAvatar {
                format
                url
              }
            }
            approvalProcess {
              code
              name
            }
            approvers {
              active
              approvers {
                active
                currency {
                  active
                  isocode
                  name
                  symbol
                }
                customerId
                deactivationDate
                defaultAddress {
                  cellphone
                  companyName
                  country {
                    isocode
                    name
                  }
                  defaultAddress
                  district
                  email
                  firstName
                  formattedAddress
                  id
                  lastName
                  line1
                  line2
                  phone
                  postalCode
                  region {
                    countryIso
                    isocode
                    isocodeShort
                    name
                  }
                  shippingAddress
                  title
                  titleCode
                  town
                  visibleInAddressBook
                }
                defaultPointOfServiceName
                displayUid
                email
                firstName
                hasOrder
                language {
                  active
                  isocode
                  name
                  nativeName
                }
                lastCartId
                lastName
                name
                roles
                selected
                title
                titleCode
                uid
                userAvatar {
                  format
                  url
                }
              }
              currency {
                active
                isocode
                name
                symbol
              }
              customerId
              deactivationDate
              defaultAddress {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              defaultPointOfServiceName
              displayUid
              email
              firstName
              hasOrder
              language {
                active
                isocode
                name
                nativeName
              }
              lastCartId
              lastName
              name
              roles
              selected
              title
              titleCode
              uid
              userAvatar {
                format
                url
              }
            }
            costCenters {
              active
              activeFlag
              code
              currency {
                active
                isocode
                name
                symbol
              }
              name
              originalCode
            }
            customers {
              active
              approvers {
                active
                currency {
                  active
                  isocode
                  name
                  symbol
                }
                customerId
                deactivationDate
                defaultAddress {
                  cellphone
                  companyName
                  country {
                    isocode
                    name
                  }
                  defaultAddress
                  district
                  email
                  firstName
                  formattedAddress
                  id
                  lastName
                  line1
                  line2
                  phone
                  postalCode
                  region {
                    countryIso
                    isocode
                    isocodeShort
                    name
                  }
                  shippingAddress
                  title
                  titleCode
                  town
                  visibleInAddressBook
                }
                defaultPointOfServiceName
                displayUid
                email
                firstName
                hasOrder
                language {
                  active
                  isocode
                  name
                  nativeName
                }
                lastCartId
                lastName
                name
                roles
                selected
                title
                titleCode
                uid
                userAvatar {
                  format
                  url
                }
              }
              currency {
                active
                isocode
                name
                symbol
              }
              customerId
              deactivationDate
              defaultAddress {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              defaultPointOfServiceName
              displayUid
              email
              firstName
              hasOrder
              language {
                active
                isocode
                name
                nativeName
              }
              lastCartId
              lastName
              name
              roles
              selected
              title
              titleCode
              uid
              userAvatar {
                format
                url
              }
            }
            managers {
              active
              approvers {
                active
                currency {
                  active
                  isocode
                  name
                  symbol
                }
                customerId
                deactivationDate
                defaultAddress {
                  cellphone
                  companyName
                  country {
                    isocode
                    name
                  }
                  defaultAddress
                  district
                  email
                  firstName
                  formattedAddress
                  id
                  lastName
                  line1
                  line2
                  phone
                  postalCode
                  region {
                    countryIso
                    isocode
                    isocodeShort
                    name
                  }
                  shippingAddress
                  title
                  titleCode
                  town
                  visibleInAddressBook
                }
                defaultPointOfServiceName
                displayUid
                email
                firstName
                hasOrder
                language {
                  active
                  isocode
                  name
                  nativeName
                }
                lastCartId
                lastName
                name
                roles
                selected
                title
                titleCode
                uid
                userAvatar {
                  format
                  url
                }
              }
              currency {
                active
                isocode
                name
                symbol
              }
              customerId
              deactivationDate
              defaultAddress {
                cellphone
                companyName
                country {
                  isocode
                  name
                }
                defaultAddress
                district
                email
                firstName
                formattedAddress
                id
                lastName
                line1
                line2
                phone
                postalCode
                region {
                  countryIso
                  isocode
                  isocodeShort
                  name
                }
                shippingAddress
                title
                titleCode
                town
                visibleInAddressBook
              }
              defaultPointOfServiceName
              displayUid
              email
              firstName
              hasOrder
              language {
                active
                isocode
                name
                nativeName
              }
              lastCartId
              lastName
              name
              roles
              selected
              title
              titleCode
              uid
              userAvatar {
                format
                url
              }
            }
            name
            uid
          }
          uid
        }
        placed
        purchaseOrderNumber
        status
        statusDisplay
        total {
          currencyIso
          formattedValue
          maxQuantity
          minQuantity
          priceType
          value
        }
      }
      pagination {
        currentPage
        pageSize
        sort
        totalPages
        totalResults
      }
      sorts {
        code
        name
        selected
      }
    }
    ... on occ_errorList {
      errors {
        errorCode
        exceptionMessage
        language
        message
        position
        reason
        subject
        subjectType
        type
      }
    }
  }
}